# SPI_Status_struct Struct Reference

`#include <USI.h>`

## Detailed Description

Holds SPI status and data.

Definition at line 57 of file USI.h.

## Data Fields
unsigned char | Address: 8
| Specifies variable to read/write.
unsigned char | Count: 6
| The number of bytes to read/write.
unsigned char | Data: 8
| The last received byte.
unsigned char | EEPROM: 1
| Read/write from/to EEPROM? (TRUE/FALSE).
unsigned char | Read: 1
| Master wants to read or write? (TRUE/FALSE).
unsigned char | State: 2
| Communication state.
unsigned char | WriteCollision: 1
| Set if SPI_Put() is called before last byte was transferred.(TRUE/FALSE).
unsigned char | XferComplete: 1
| Used by SPI_Put() to determine if last byte was transferred.(TRUE/FALSE).

## Field Documentation

unsigned char SPI_Status_struct::Address

Specifies variable to read/write.

Definition at line 60 of file USI.h.

Referenced by SPI_Init(), and USI_OVF_ISR().

unsigned char SPI_Status_struct::Count

The number of bytes to read/write.

Definition at line 61 of file USI.h.

Referenced by SPI_Init(), and USI_OVF_ISR().

unsigned char SPI_Status_struct::Data

The last received byte.

Definition at line 59 of file USI.h.

Referenced by SPI_Get(), SPI_Init(), and USI_OVF_ISR().

unsigned char SPI_Status_struct::EEPROM

Read/write from/to EEPROM? (TRUE/FALSE).

Definition at line 70 of file USI.h.

Referenced by SPI_Init(), and USI_OVF_ISR().

unsigned char SPI_Status_struct::Read

Master wants to read or write? (TRUE/FALSE).

Definition at line 67 of file USI.h.

Referenced by SPI_Init(), and USI_OVF_ISR().

unsigned char SPI_Status_struct::State

Communication state.

Note:
  The states are enumerated in USI.h.

Definition at line 62 of file USI.h.

Referenced by SPI_Init(), and USI_OVF_ISR().

unsigned char SPI_Status_struct::WriteCollision

Set if SPI_Put() is called before last byte was transferred.(TRUE/FALSE).

Definition at line 76 of file USI.h.

Referenced by SPI_Init(), and SPI_Put().

unsigned char SPI_Status_struct::XferComplete

Used by SPI_Put() to determine if last byte was transferred.(TRUE/FALSE).

Definition at line 73 of file USI.h.

Referenced by SPI_Init(), SPI_Put(), SPI_Wait(), and USI_OVF_ISR().